
%define __libtoolize    /bin/true

%define name	kphotoalbum
%define version 2.2
%define release	%mkrel 2
%define	Summary	K Image Database

%define major	1
%define libname	%mklibname %{name} %{major}

Summary: 	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphical desktop/KDE
Source0: 	http://ktown.kde.org/kimdaba/download/%{name}-%{version}.tar.bz2

URL: 		http://ktown.kde.org/kimdaba/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %mdkversion <= 200600
BuildRequires:  kdelibs-devel >= 3.1 arts-devel >= 1.1 jpeg-devel fam-devel XFree86-devel
BuildRequires:  png-devel libart_lgpl-devel libz-devel libxml2-devel
BuildRequires:  mng-devel autoconf2.5 automake >= 1.6
%else
BuildRequires:  kdelibs-devel >= 3.1 arts-devel >= 1.1 jpeg-devel fam-devel XFree86-devel
BuildRequires:  png-devel libart_lgpl-devel libz-devel libxml2-devel
BuildRequires:  mng-devel autoconf2.5 automake >= 1.6
%endif
Obsoletes:		kimdaba <= 2.1
Provides:		kimdaba > 2.1

%description
Image database for KDE

%prep
%setup -q

%build
#make -f admin/Makefile.common

# QTDIR is always set to /usr/lib/qt3
export QTDIR=%_prefix/lib/qt3
export QTLIB=$QTDIR/%{_lib}



%{?__cputoolize: %{__cputoolize} }
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure	--build=%{_target_platform} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
%if "%{_lib}" != "lib"
        --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#		--enable-final
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kphotoalbum Multimedia/Graphics %buildroot/%_datadir/applications/kde/kphotoalbum.desktop %buildroot/%_menudir/kalbumphoto

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-, root, root, 0755)

%_bindir/kphotoalbum
%_menudir/kalbumphoto
%_datadir/applications/kde/kphotoalbum-import.desktop
%_datadir/applications/kde/kphotoalbum.desktop
%_datadir/apps/kphotoalbum/default-layout.xml
%_datadir/apps/kphotoalbum/default-setup
%_datadir/apps/kphotoalbum/demo/*.jpg
%_datadir/apps/kphotoalbum/exif-sqlite.db
%_datadir/apps/kphotoalbum/icons/hicolor/16x16/actions/ellipsetool.png
%_datadir/apps/kphotoalbum/icons/hicolor/16x16/actions/linetool.png
%_datadir/apps/kphotoalbum/icons/hicolor/16x16/actions/recttool.png
%_datadir/apps/kphotoalbum/icons/hicolor/16x16/actions/selecttool.png
%_datadir/apps/kphotoalbum/icons/hicolor/16x16/actions/texttool.png
%_datadir/apps/kphotoalbum/icons/hicolor/16x16/actions/video.png
%_datadir/apps/kphotoalbum/icons/hicolor/22x22/actions/key.png
%_datadir/apps/kphotoalbum/kphotoalbumui.rc
%_datadir/apps/kphotoalbum/pics/*.jpg
%_datadir/apps/kphotoalbum/pics/*.png

%_datadir/apps/kphotoalbum/themes/blue/imagepage.html
%_datadir/apps/kphotoalbum/themes/blue/kphotoalbum.theme
%_datadir/apps/kphotoalbum/themes/blue/mainpage.css
%_datadir/apps/kphotoalbum/themes/blue/mainpage.html
%_datadir/apps/kphotoalbum/themes/grey/imagepage.html
%_datadir/apps/kphotoalbum/themes/grey/kphotoalbum.theme
%_datadir/apps/kphotoalbum/themes/grey/mainpage.css
%_datadir/apps/kphotoalbum/themes/grey/mainpage.html
%_datadir/apps/kphotoalbum/themes/rounded/downbar.png
%_datadir/apps/kphotoalbum/themes/rounded/downleft.png
%_datadir/apps/kphotoalbum/themes/rounded/downright.png
%_datadir/apps/kphotoalbum/themes/rounded/imagepage.html
%_datadir/apps/kphotoalbum/themes/rounded/kphotoalbum.theme
%_datadir/apps/kphotoalbum/themes/rounded/leftbar.png
%_datadir/apps/kphotoalbum/themes/rounded/mainpage.css
%_datadir/apps/kphotoalbum/themes/rounded/mainpage.html
%_datadir/apps/kphotoalbum/themes/rounded/rightbar.png
%_datadir/apps/kphotoalbum/themes/rounded/upbar.png
%_datadir/apps/kphotoalbum/themes/rounded/upleft.png
%_datadir/apps/kphotoalbum/themes/rounded/upright.png

%_datadir/apps/kphotoalbum/demo/CategoryImages/*.jpg
%_datadir/apps/kphotoalbum/demo/exif-info.db
%_datadir/apps/kphotoalbum/demo/index.xml


%_datadir/apps/kphotoalbum/tips
%_datadir/config/kphotoalbumrc

%doc %_docdir/HTML/da/kphotoalbum/common
%doc %_docdir/HTML/da/kphotoalbum/*.docbook
%doc %_docdir/HTML/da/kphotoalbum/*.bz2

%doc %_docdir/HTML/en/kphotoalbum/*.png
%doc %_docdir/HTML/en/kphotoalbum/common
%doc %_docdir/HTML/en/kphotoalbum/*.docbook
%doc %_docdir/HTML/en/kphotoalbum/*.bz2


%doc %_docdir/HTML/it/kphotoalbum/*.png
%doc %_docdir/HTML/it/kphotoalbum/common
%doc %_docdir/HTML/it/kphotoalbum/*.bz2
%doc %_docdir/HTML/it/kphotoalbum/*.docbook

%doc %_docdir/HTML/sv/kphotoalbum/common
%doc %_docdir/HTML/sv/kphotoalbum/*.png
%doc %_docdir/HTML/sv/kphotoalbum/*.docbook
%doc %_docdir/HTML/sv/kphotoalbum/*.bz2

%_datadir/icons/hicolor/128x128/apps/kphotoalbum.png
%_datadir/icons/hicolor/16x16/apps/kphotoalbum.png
%_datadir/icons/hicolor/22x22/apps/kphotoalbum.png
%_datadir/icons/hicolor/32x32/apps/kphotoalbum.png
%_datadir/icons/hicolor/48x48/apps/kphotoalbum.png
%_datadir/icons/hicolor/64x64/apps/kphotoalbum.png

%_datadir/mimelnk/application/x-vnd.kde.kphotoalbum-import.desktop

%changelog
* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2-2
- Fix build on x86_64
- Fix with new xorg

* Wed Apr 19 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2-1
- Change name to kphotoalbum

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-1mdk
- New release 2.1

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-2mdk
- Fix menu

* Thu Nov 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- 2.0

* Mon Aug 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-8mdk
- Rebuild for missing package

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-6mdk
- fix buildrequires
- add minimal, but still better description

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-5mdk
- Rebuild 

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-4mdk
- fix buildrequires

* Thu Apr 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Patch from gbeauchesne@mandrakesoft.com fix build on amd64

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Fix destlint

* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-3mdk
- Rebuild

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Add menu entry

* Tue Dec 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package

